//
//  UserType.swift
//  AcaMate
//
//  Created by TAnine on 2/5/25.
//

import SwiftUI

enum UserType: String {
    case Admin
    case Employee
    case Student
    case Teacher
    case Parent
    case ETC
    
    var code: String {
        switch self {
        case .Admin: return "UT00"
        case .Employee: return "UT01"
        case .Student: return "UT02"
        case .Teacher: return "UT03"
        case .Parent: return "UT04"
        case .ETC: return "UT05"
        }
    }
    var name: String {
        switch self {
        case .Admin: return "A"
        case .Employee: return "E"
        case .Student: return "S"
        case .Teacher: return "T"
        case .Parent: return "P"
        case .ETC: return "V"
        }
        
    }
}

struct SummaryUser {
    var profile: Image
    var name: String
    var userID: String
    var email: String
}

struct RegisterUserInfo {
    var name: String
    var birth: Date
    var type: String = "UT05"
    var device_id: String // 진짜 디바이스 아이디
    var auto_login_yn: String
    var push_token: String // APNs 용 토큰
    var email: String
    var phone: String
    var address: String
    var sns_id: String
    var sns_type: String
    var location_yn, camera_yn, photo_yn, push_yn: Bool?
    var market_app_yn, market_sms_yn, market_email_yn: Bool?
}
